org.eclipse.emf.facet.custom.ui

## Interface IFontPropertiesHandler

    public interface IFontPropertiesHandler

Since:
  0.4
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`FacetOperation` `getBackgroundProperty()`
`FacetOperation` `getFontNameProperty()`
`FacetOperation` `getFontSizeProperty()`
`FacetOperation` `getForegroundProperty()`
`FacetOperation` `getIsBoldProperty()`
`FacetOperation` `getIsItalicProperty()`
`FacetOperation` `getIsStruckthroughProperty()`
`FacetOperation` `getIsUnderlinedProperty()`
`FacetOperation` `getIsVisible()`

### Method Detail

#### getBackgroundProperty

    FacetOperation getBackgroundProperty()

#### getForegroundProperty

    FacetOperation getForegroundProperty()

#### getFontNameProperty

    FacetOperation getFontNameProperty()

#### getFontSizeProperty

    FacetOperation getFontSizeProperty()

#### getIsBoldProperty

    FacetOperation getIsBoldProperty()

#### getIsItalicProperty

    FacetOperation getIsItalicProperty()

#### getIsVisible

    FacetOperation getIsVisible()

#### getIsUnderlinedProperty

    FacetOperation getIsUnderlinedProperty()

#### getIsStruckthroughProperty

    FacetOperation getIsStruckthroughProperty()